with GNATCOM.IInterface;

with GNATCOM.Errors;

package body MSHTML.IDOMXmlSerializerFactory_Interface is

   procedure Initialize (This : in out IDOMXmlSerializerFactory_Type) is
   begin
      Set_IID (This, IID_IDOMXmlSerializerFactory);
   end Initialize;

   function Pointer (This : IDOMXmlSerializerFactory_Type)
     return Pointer_To_IDOMXmlSerializerFactory
   is
   begin
      return To_Pointer_To_IDOMXmlSerializerFactory (Address (This));
   end Pointer;

   procedure Attach (This    : in out IDOMXmlSerializerFactory_Type;
                     Pointer : in     Pointer_To_IDOMXmlSerializerFactory)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

   function create
     (This                                 : IDOMXmlSerializerFactory_Type)
     return Pointer_To_IDOMXmlSerializer
   is
       RetVal : aliased Pointer_To_IDOMXmlSerializer;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.create
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end create;

end MSHTML.IDOMXmlSerializerFactory_Interface;

